Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class AccessControlHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.DesignElementHandle
          org.eclipse.birt.report.model.api.ContentElementHandle
              org.eclipse.birt.report.model.api.AccessControlHandle

All Implemented Interfaces:
  org.eclipse.birt.report.model.elements.interfaces.IAccessControlModel, org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel

Direct Known Subclasses:
  ValueAccessControlHandle

Deprecated.

    public class AccessControlHandle

extends ContentElementHandle
implements org.eclipse.birt.report.model.elements.interfaces.IAccessControlModel

Describes the privilege to access resources. Members are

user name
  The user name of the privilege.
role
  what behavior a user can perform
permission
  "allow" or "disallow" the specified behavior to the user

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.ContentElementHandle
`element`

Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`module`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IAccessControlModel
`PERMISSION_PROP, ROLES_PROP, USER_NAMES_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel
`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

Constructor Summary
`AccessControlHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Deprecated. Constructs a autotext handle with the given design and the element.

Method Summary
`void` | `addRole(java.lang.String role)` Deprecated. Adds the given role to the list.
`void` | `addUserName(java.lang.String userName)` Deprecated. Adds the given user name to the list.
`java.lang.String` | `getPermission()` Deprecated. Returns whether the user can perform the role.
`void` | `removeRole(java.lang.String role)` Deprecated. Removes the given role from the list.
`void` | `removeUserName(java.lang.String userName)` Deprecated. Removes the given user name from the list.
`void` | `setPermission(java.lang.String permission)` Deprecated. Sets the permission.

Methods inherited from class org.eclipse.birt.report.model.api.ContentElementHandle
`addListener, canTransformToTemplate, clientsIterator, createTemplateElement, derivedIterator, getElement, getEventHandlerClass, getExtends, getName, getPrivateStyle, getQualifiedName, isTemplateParameterValue, localize, removeListener, revertToReportItem, revertToTemplate, setEventHandlerClass, setExtends, setExtendsName, setName, setStyle, setStyleName`

Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`add, add, addElement, addElement, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, clearAllProperties, clearContents, clearProperty, copy, copyPropertyTo, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getExpressionProperty, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getNumberProperty, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isValid, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, semanticCheck, setBooleanProperty, setEncryption, setExpressionProperty, setExtendsElement, setFloatProperty, setIntProperty, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyleElement, setValid, shift, showError, slotsIterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccessControlHandle

    public AccessControlHandle(org.eclipse.birt.report.model.core.Module module,
                               org.eclipse.birt.report.model.core.DesignElement element)

  Deprecated.
  Constructs a autotext handle with the given design and the element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

  Parameters:
    `module` - the module
    `element` - the model representation of the element

Method Detail

### addRole

    public void addRole(java.lang.String role)
                 throws SemanticException

  Deprecated.
  Adds the given role to the list.

  Parameters:
    `role` - the role
  Throws:
    `SemanticException`

### addUserName

    public void addUserName(java.lang.String userName)
                     throws SemanticException

  Deprecated.
  Adds the given user name to the list.

  Parameters:
    `userName` - the user name
  Throws:
    `SemanticException`

### getPermission

    public java.lang.String getPermission()

  Deprecated.
  Returns whether the user can perform the role. The return value is one of following:
  - DesignChoiceConstants.ACCESS_PERMISSION_ALLOW
  - DesignChoiceConstants.ACCESS_PERMISSION_DISALLOW

  Returns:
    the permission to perform the role

### removeRole

    public void removeRole(java.lang.String role)
                    throws SemanticException

  Deprecated.
  Removes the given role from the list.

  Parameters:
    `role` - the role to remove
  Throws:
    `SemanticException`

### removeUserName

    public void removeUserName(java.lang.String userName)
                        throws SemanticException

  Deprecated.
  Removes the given user name from the list.

  Parameters:
    `userName` - the user name to remove
  Throws:
    `SemanticException`

### setPermission

    public void setPermission(java.lang.String permission)
                       throws SemanticException

  Deprecated.
  Sets the permission. The input parameter should be one of following:
  - DesignChoiceConstants.ACCESS_PERMISSION_ALLOW
  - DesignChoiceConstants.ACCESS_PERMISSION_DISALLOW

  Parameters:
    `permission` - the permission to perform the role
  Throws:
    `SemanticException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.